export type Listener = (...args: any[]) => any;
export type TypedEvents = {
    [k in string | symbol]: Listener;
} & {
    '*': (event: string, ...args: any[]) => any;
};
export declare class TypedEmitter<T extends TypedEvents = TypedEvents> {
    private static listeners;
    private listeners;
    static emit(event: any, ...args: any[]): void;
    static off(event: any, listener: Listener): void;
    static on(event: any, listener: Listener): () => void;
    static once(event: any, listener?: Listener): Promise<any>;
    emit<K extends keyof T>(event: K, ...args: Parameters<T[K]>): void;
    off<K extends keyof T = string>(event: K, listener: T[K]): void;
    on<K extends keyof T = string>(event: K, listener: T[K]): () => void;
    once<K extends keyof T = string>(event: K, listener?: T[K]): Promise<any>;
}
