import { TypedEmitter, TypedEvents } from './emitter';
export declare const CliEffects: {
    CLEAR: string;
    BRIGHT: string;
    DIM: string;
    UNDERSCORE: string;
    BLINK: string;
    REVERSE: string;
    HIDDEN: string;
};
export declare const CliForeground: {
    BLACK: string;
    RED: string;
    GREEN: string;
    YELLOW: string;
    BLUE: string;
    MAGENTA: string;
    CYAN: string;
    LIGHT_GREY: string;
    GREY: string;
    LIGHT_RED: string;
    LIGHT_GREEN: string;
    LIGHT_YELLOW: string;
    LIGHT_BLUE: string;
    LIGHT_MAGENTA: string;
    LIGHT_CYAN: string;
    WHITE: string;
};
export declare const CliBackground: {
    BLACK: string;
    RED: string;
    GREEN: string;
    YELLOW: string;
    BLUE: string;
    MAGENTA: string;
    CYAN: string;
    WHITE: string;
    GREY: string;
};
export declare enum LOG_LEVEL {
    ERROR = 0,
    WARN = 1,
    INFO = 2,
    LOG = 3,
    DEBUG = 4
}
export type LoggerEvents = TypedEvents & {
    'ERROR': (...args: any[]) => any;
    'WARN': (...args: any[]) => any;
    'INFO': (...args: any[]) => any;
    'LOG': (...args: any[]) => any;
    'DEBUG': (...args: any[]) => any;
};
export declare class Logger extends TypedEmitter<LoggerEvents> {
    readonly namespace?: string | undefined;
    static LOG_LEVEL: LOG_LEVEL;
    constructor(namespace?: string | undefined);
    private pad;
    private format;
    debug(...args: string[]): void;
    log(...args: string[]): void;
    info(...args: string[]): void;
    warn(...args: string[]): void;
    error(...args: string[]): void;
}
