export type Interceptor = (request: Response, next: () => void) => void;
export type RequestOptions = {
    url?: string;
    fragment?: string;
    query?: {
        key: string;
        value: string;
    }[] | {
        [key: string]: string;
    };
    method?: 'GET' | 'POST' | 'PATCH' | 'DELETE';
    body?: any;
    headers?: {
        [key: string | symbol]: string | null | undefined;
    };
    skipConverting?: boolean;
    [key: string]: any;
};
export type XhrOptions = {
    headers?: {
        [key: string | symbol]: string | null | undefined;
    };
    interceptors?: Interceptor[];
    url?: string;
};
export declare class XHR {
    readonly opts: XhrOptions;
    private static interceptors;
    static headers: {
        [key: string]: string | null | undefined;
    };
    private interceptors;
    headers: {
        [key: string]: string | null | undefined;
    };
    constructor(opts?: XhrOptions);
    static addInterceptor(fn: Interceptor): () => void;
    addInterceptor(fn: Interceptor): () => void;
    request<T>(opts?: RequestOptions): Promise<T>;
}
